/*******************************************************************************
 * Copyright (c) 2003, 2007 s IT Solutions AT Spardat GmbH .
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     s IT Solutions AT Spardat GmbH - initial API and implementation
 *******************************************************************************/

/*
 * @(#) $Id: GlobalEventListener.java 2089 2007-11-28 13:56:13Z s3460 $
 *
 * 
 * 
 * 
 *
 */
package at.spardat.xma.event.global;

/**
 * This Listener can be used at server and at client side.
 * Server side registration: GlobalEventManager.addGlobalEventListener()
 * Client side registration: XMASessionClient.addGlobalEventListener()
 * 
 * @author s3460  
 * @since version_number
 */
public interface GlobalEventListener {
    
    public void globalEvent(GlobalEvent event);
}
